# osg::TexEnvFilter Class Reference

TexEnvFilter - encapsulates the OpenGL glTexEnv (GL_TEXTURE_FILTER_CONTROL) state. More...

Inheritance diagram for osg::TexEnvFilter:

[legend]
List of all members.

## Public Member Functions

| TexEnvFilter (float lodBias=0.0f)
| TexEnvFilter (const TexEnvFilter &texenv, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, TexEnvFilter, TEXENVFILTER)
virtual bool | isTextureAttribute () const
| Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit.
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setLodBias (float lodBias)
float | getLodBias () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.

## Protected Member Functions

virtual | ~TexEnvFilter ()

## Protected Attributes

float | _lodBias

## Detailed Description

TexEnvFilter - encapsulates the OpenGL glTexEnv (GL_TEXTURE_FILTER_CONTROL) state.

## Constructor & Destructor Documentation

TexEnvFilter::TexEnvFilter | ( | float | lodBias = `0.0f` | ) |

osg::TexEnvFilter::TexEnvFilter | ( | const TexEnvFilter & | texenv,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

TexEnvFilter::~TexEnvFilter | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void TexEnvFilter::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::TexEnvFilter::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

float osg::TexEnvFilter::getLodBias | ( |  | ) | const`[inline]`

virtual bool osg::TexEnvFilter::isTextureAttribute | ( |  | ) | const`[inline, virtual]`

| Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit. Reimplemented from osg::StateAttribute.

osg::TexEnvFilter::META_StateAttribute | ( | osg | ,
|  | TexEnvFilter | ,
|  | TEXENVFILTER |
| ) |

void osg::TexEnvFilter::setLodBias | ( | float | lodBias | ) | `[inline]`

## Member Data Documentation

float osg::TexEnvFilter::_lodBias `[protected]`

The documentation for this class was generated from the following files:

- TexEnvFilter
- TexEnvFilter.cpp